$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.7.4/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.7.4/kubernetes-client-windows-amd64.tar.gz'
$checksum       = '5b1c79aea5e5174e0d135a15dd3a33cdbdb2c465f08af1878c5fc38aaf28ba7b'
$checksum64     = '07ca92b2f7659ecc8f5c93a707767fe6de099c20d5a81451f652968a326ec063'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
